#921 LOG: Make log record queue limits configurable in runtime

4.5.FC
fixed
elunlen
None
enhancement
log
-
major
2014-08-07
2014-05-21
elunlen
No

Make it possible to in runtime change the values of configuration attributes:
logStreamSystemHighLimit
logStreamSystemLowLimit
logStreamAppHighLimit
logStreamAppLowLimit

This includes validation in OI completed callback and applying of changes in apply callback.
Applying of changes must also happen on standby node

Related

Tickets: #921
Wiki: NEWS-4.5.0

Discussion

  • elunlen

    elunlen - 2014-05-26
    • status: assigned --> accepted
     
  • elunlen

    elunlen - 2014-06-26
    • status: accepted --> review
     
  • elunlen

    elunlen - 2014-08-07

    changeset: 5538:db5806cd11ca
    tag: tip
    user: Lennart Lund lennart.lund@ericsson.com
    date: Thu Aug 07 10:19:24 2014 +0200
    summary: log: Create testcases for changing mailbox limits in IMM config object [#921]

    rev: db5806cd11ca58bed26c2c7e124a1cae6bfdc182

    changeset: 5537:3d1addeb96e0
    user: Lennart Lund lennart.lund@ericsson.com
    date: Thu Aug 07 10:19:24 2014 +0200
    summary: log: Add handling of configuration change on standby [#921]

    rev: 3d1addeb96e0120160cc929fe736f9c806fb129a

    changeset: 5536:623440f5b8ec
    user: Lennart Lund lennart.lund@ericsson.com
    date: Thu Aug 07 10:19:24 2014 +0200
    summary: log: Make limit settings in config object runtime configurable [#921]

    rev: 623440f5b8ec7451f5594e6552444fe4bdd02252

     

    Related

    Tickets: #921

  • elunlen

    elunlen - 2014-08-07
    • status: review --> fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks